Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/main/real_em.F	(revision 2021)
@@ -833,4 +1079,144 @@
                                                                  ips , ipe , jps , jpe , kps , kpe )
 ENDIF
+
+!VENUS
+IF (config_flags%mars .eq. 34) THEN
+      CALL stuff_bdy     ( qbdy3dtemp1 , grid%scalar_b(:,:,:,:,2)   , 'T' , ijds, ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q2bdy3dtemp1 , grid%scalar_b(:,:,:,:,3)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q3bdy3dtemp1 , grid%scalar_b(:,:,:,:,4)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q4bdy3dtemp1 , grid%scalar_b(:,:,:,:,5)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q5bdy3dtemp1 , grid%scalar_b(:,:,:,:,6)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q6bdy3dtemp1 , grid%scalar_b(:,:,:,:,7)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q7bdy3dtemp1 , grid%scalar_b(:,:,:,:,8)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q8bdy3dtemp1 , grid%scalar_b(:,:,:,:,9)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q9bdy3dtemp1 , grid%scalar_b(:,:,:,:,10)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q10bdy3dtemp1 , grid%scalar_b(:,:,:,:,11)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q11bdy3dtemp1 , grid%scalar_b(:,:,:,:,12)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q12bdy3dtemp1 , grid%scalar_b(:,:,:,:,13)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q13bdy3dtemp1 , grid%scalar_b(:,:,:,:,14)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q14bdy3dtemp1 , grid%scalar_b(:,:,:,:,15)   , 'T' ,ijds , ijde , spec_bdy_width      , &                                                                 
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q15bdy3dtemp1 , grid%scalar_b(:,:,:,:,16)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q16bdy3dtemp1 , grid%scalar_b(:,:,:,:,17)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q17bdy3dtemp1 , grid%scalar_b(:,:,:,:,18)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q18bdy3dtemp1 , grid%scalar_b(:,:,:,:,19)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q19bdy3dtemp1 , grid%scalar_b(:,:,:,:,20)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q20bdy3dtemp1 , grid%scalar_b(:,:,:,:,21)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q21bdy3dtemp1 , grid%scalar_b(:,:,:,:,22)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q22bdy3dtemp1 , grid%scalar_b(:,:,:,:,23)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q23bdy3dtemp1 , grid%scalar_b(:,:,:,:,24)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q24bdy3dtemp1 , grid%scalar_b(:,:,:,:,25)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q25bdy3dtemp1 , grid%scalar_b(:,:,:,:,26)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q26bdy3dtemp1 , grid%scalar_b(:,:,:,:,27)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q27bdy3dtemp1 , grid%scalar_b(:,:,:,:,28)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q28bdy3dtemp1 , grid%scalar_b(:,:,:,:,29)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q29bdy3dtemp1 , grid%scalar_b(:,:,:,:,30)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q30bdy3dtemp1 , grid%scalar_b(:,:,:,:,31)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q31bdy3dtemp1 , grid%scalar_b(:,:,:,:,33)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q32bdy3dtemp1 , grid%scalar_b(:,:,:,:,33)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q33bdy3dtemp1 , grid%scalar_b(:,:,:,:,34)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+      CALL stuff_bdy     ( q34bdy3dtemp1 , grid%scalar_b(:,:,:,:,35)   , 'T' ,ijds , ijde , spec_bdy_width      , &
+                                                                 ids , ide , jds, jde , kds , kde , &
+                                                                 ims , ime , jms, jme , kms , kme , &
+                                                                 ips , ipe , jps, jpe , kps , kpe )
+ENDIF
 !!!!MARS <<
 
@@ -911,4 +1297,76 @@
                     ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme, ips, ipe, jps, jpe, kps, kpe )
 ENDIF
+
+!VENUS
+IF (config_flags%mars .eq. 34) THEN
+      CALL couple ( grid%em_mu_2 , grid%em_mub , qbdy3dtemp2 ,grid%scalar(:,:,:,2) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms, kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q2bdy3dtemp2,grid%scalar(:,:,:,3) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q3bdy3dtemp2,grid%scalar(:,:,:,4) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q4bdy3dtemp2,grid%scalar(:,:,:,5) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q5bdy3dtemp2,grid%scalar(:,:,:,6) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q6bdy3dtemp2,grid%scalar(:,:,:,7) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q7bdy3dtemp2,grid%scalar(:,:,:,8) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q8bdy3dtemp2,grid%scalar(:,:,:,9) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q9bdy3dtemp2,grid%scalar(:,:,:,10) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q10bdy3dtemp2,grid%scalar(:,:,:,11) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q11bdy3dtemp2,grid%scalar(:,:,:,12) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q12bdy3dtemp2,grid%scalar(:,:,:,13) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q13bdy3dtemp2,grid%scalar(:,:,:,14) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q14bdy3dtemp2,grid%scalar(:,:,:,15) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q15bdy3dtemp2,grid%scalar(:,:,:,16) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q16bdy3dtemp2,grid%scalar(:,:,:,17) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q17bdy3dtemp2,grid%scalar(:,:,:,18) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q18bdy3dtemp2,grid%scalar(:,:,:,19) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q19bdy3dtemp2,grid%scalar(:,:,:,20) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q20bdy3dtemp2,grid%scalar(:,:,:,21) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q21bdy3dtemp2,grid%scalar(:,:,:,22) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q22bdy3dtemp2,grid%scalar(:,:,:,23) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q23bdy3dtemp2,grid%scalar(:,:,:,24) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q24bdy3dtemp2,grid%scalar(:,:,:,25) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q25bdy3dtemp2,grid%scalar(:,:,:,26) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q26bdy3dtemp2,grid%scalar(:,:,:,27) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q27bdy3dtemp2,grid%scalar(:,:,:,28) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q28bdy3dtemp2,grid%scalar(:,:,:,29) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q29bdy3dtemp2,grid%scalar(:,:,:,30) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q30bdy3dtemp2,grid%scalar(:,:,:,31) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q31bdy3dtemp2,grid%scalar(:,:,:,32) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q32bdy3dtemp2,grid%scalar(:,:,:,33) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q33bdy3dtemp2,grid%scalar(:,:,:,34) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+      CALL couple ( grid%em_mu_2 , grid%em_mub , q34bdy3dtemp2,grid%scalar(:,:,:,35) , 't' , grid%msft , &
+                    ids, ide, jds, jde, kds, kde, ims, ime, jms, jme, kms,kme,ips, ipe, jps, jpe, kps, kpe )
+ENDIF
 !!!!!MARS <<
 
